Skip to main content
GET
/
api
/
v1
/
metrics
/
highlighted_threats
Get top highlighted threats
curl --request GET \
  --url https://api.ocean.security/api/v1/metrics/highlighted_threats \
  --header 'X-Api-Key: <api-key>'
{
  "results": {
    "items": [
      {
        "detection_time": "1970-01-01T11:59:59.000Z",
        "id": "<string>",
        "recipient_email": "<string>",
        "recipient_name": "<string>",
        "remediation_time": "1970-01-01T11:59:59.000Z",
        "sender_email": "<string>",
        "sender_name": "<string>",
        "source": "<string>",
        "subject": "<string>",
        "threat_indicators": [
          {
            "indicator_type": "<string>"
          }
        ],
        "threat_type": "<string>",
        "time": "1970-01-01T11:59:59.000Z"
      }
    ]
  },
  "status": 123
}

Authorizations

X-Api-Key
string
header
required

API key for authentication

Headers

X-Api-Key
string
required

Authentication API Key

Query Parameters

days_ago
integer

Number of days to look back (default 7)

Response

A list of top 5 highlighted threats

results
object
status
integer